## org.apache.lucene.search.suggest
Class Sort.SortInfo

    java.lang.Object
      org.apache.lucene.search.suggest.Sort.SortInfo

Enclosing class:
  Sort

    public class Sort.SortInfo

extends Object

Sort info (debugging mostly).

Field Summary
`long` `bufferSize` read buffer size (in bytes)
`int` `lines` number of lines of data read
`int` `mergeRounds` number of partition merges
`long` `mergeTime` time spent merging sorted partitions (in milliseconds)
`long` `readTime` time spent in i/o read (in milliseconds)
`long` `sortTime` time spent sorting data (in milliseconds)
`int` `tempMergeFiles` number of temporary files created when merging partitions
`long` `totalTime` total time spent (in milliseconds)

Constructor Summary
`Sort.SortInfo()` create a new SortInfo (with empty statistics) for debugging

Method Summary
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### tempMergeFiles

    public int tempMergeFiles

  number of temporary files created when merging partitions

### mergeRounds

    public int mergeRounds

  number of partition merges

### lines

    public int lines

  number of lines of data read

### mergeTime

    public long mergeTime

  time spent merging sorted partitions (in milliseconds)

### sortTime

    public long sortTime

  time spent sorting data (in milliseconds)

### totalTime

    public long totalTime

  total time spent (in milliseconds)

### readTime

    public long readTime

  time spent in i/o read (in milliseconds)

### bufferSize

    public final long bufferSize

  read buffer size (in bytes)

Constructor Detail

### Sort.SortInfo

    public Sort.SortInfo()

  create a new SortInfo (with empty statistics) for debugging

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.